package planet.behaviour;

import planet.commonapi.RouteMessage;
/**
 * BehaviourInvokerStatus stores the RouteMessage replies as result
 * of a <b>behaviour</b> invocation and if the behaviour was finally
 * invoked.
 * @author Marc Sanchez <marc.sanchez@estudiants.urv.es>
 */
public class BehaviourInvokerStatus {
	public RouteMessage[] replies;
	public boolean invoked;
    
	public BehaviourInvokerStatus(RouteMessage[] replies, boolean invoked) {
		this.replies = replies;
		this.invoked = invoked;
	}
	/**
	 * @return Returns true is behaviour has been invoked.
	 */
	public boolean isInvoked() {
		return invoked;
	}
	/**
	 * @return Returns the RouteMessags replies from behaviour's invocation.
	 */
	public RouteMessage[] getResultRouteMessages() {
		return replies;
	}
}
