package planet.symphony;

import java.util.Comparator;

import planet.commonapi.Id;
import planet.commonapi.NodeHandle;
/**
 * This is class is used to compare two ids. For that purpose, it implements interface Comparer.
 * This includes a method called <b>compare</b> which returns a negative integer, zero, or a 
 * positive integer as the first argument is less than, equal to, or greater than the second.
 * 
 * @author <a href=mailto:marc.sanchez@estudiants.urv.es>Marc Sanchez</a>
 * @author <a href=mailto:jordi.pujol@estudiants.urv.es>Jordi Pujol</a> 
 */

public class IdComparer implements Comparer, Comparator, java.io.Serializable {
	NodeHandle root;
	public IdComparer(NodeHandle root) {
		this.root = root;
	}
	
	public int compare(Object o1, Object o2) {
		Id id1 = ((NodeHandle) o1).getId();
		id1 = id1.subtract(root.getId());
		Id id2 = ((NodeHandle) o2).getId();
		id2 = id2.subtract(root.getId());
		return id1.compareTo(id2);
	}
	
	public boolean equals(Object o)
	{
	    return (o instanceof IdComparer);
	}
}
