package planet.util;

import java.io.Serializable;

import planet.commonapi.exception.InitializationException;

/**
 * Offers the minimal functionallity for a properties initializer of any type.
 * @author <a href="mailto: jordi.pujol@estudiants.urv.es">Jordi Pujol</a>
 * 22/02/2005
 */
public interface PropertiesInitializer extends Serializable {
    
    /**
	 * Initialize correctly the configuration properties.
	 * @throws InitializationException if an error occurs during
	 * the initialization of the different properties.
	 * @param propertiesFile File with all configuration properties. 
	 * This file must to follow the java.util.Properties contract.
	 */
	public void init(String propertiesFile) throws InitializationException;

}
